Masked PAN from DIN API
This document highlights the Masked PAN from DIN API details.
API Description
Objective
The Masked PAN from DIN API retrieves the PAN and identity details of an organization's director using their Director Identification Number (DIN).
| Input | Output |
|---|---|
| The 8 digit DIN of the user | The director's masked PAN, the DIN status, personal details, and residency information. A complete list of details returned by the API is provided under the Success Response Details section |
API URL
https://ind-engine.thomas.hyperverge.co/v1/maskedPanFromDin
API Endpoint
maskedPanFromDin
Overview
The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.
Authentication
You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.
| Parameter | Mandatory or Optional | Description | Allowed Values |
|---|---|---|---|
| content-type | Mandatory | This parameter defines the media type for the request payload | application/json |
| appId | Mandatory | The application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| appKey | Mandatory | The application key shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| transactionId | Mandatory | A unique identifier for tracking a user journey | This should be both unique and easily associated with the user's journey in your application(s) |
Input
The following table outlines the parameter required in the API's request body:
| Parameter | Description | Mandatory or Optional | Allowed Values | Default Value |
|---|---|---|---|---|
dinNumber | The Director Identification Number (DIN) of the individual serving as the director in an organization | Mandatory | Not Applicable | Not Applicable |
Request
The following code snippet demonstrates a standard curl request for the API:
curl --location --request POST 'https://ind.thomas.hyperverge.co/v1/maskedPanFromDin' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"dinNumber": "<Enter_the_DIN>"
}'
Success Response
The following code snippet demonstrates a success response from the API:
{
"status": "success",
"statusCode": "200",
"result": {
"message": "<Message_About_The_Result>",
"details": {
"dinNumber": "<Masked_DIN_Number>",
"dinStatus": "<DIN_Status>",
"panNumber": "<Masked_PAN_Number>",
"firstName": "<First_Name_Of_The_user>",
"middleName": "<Middle_Name_Of_The_user_If_Available>",
"lastName": "<Last_Name_Of_The_user>",
"dateOfBirth": "<Date_Of_Birth_in_DD-MMM-YYYY_Format>",
"fatherFirstName": "<Father's_First_Name>",
"fatherMiddleName": "<Father's_Middle_Name_If_Available>",
"fatherLastName": "<Father's_Last_Name>",
"residentOfIndia": "<Is_Resident_Of_India_Y/N>",
"membershipNumber": "<Membership_Number_If_Available>"
}
},
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}